> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/task.md).

# Task

Represents a task in a job.

```graphql
type Task {
  duration: Duration
  endTime: Time
  errors(after: String, limit: Int): JobLogMsgConnectionResult
  events: [TaskEvent!]!
  jobId: ID!
  jobType: String!
  lastUpdate: Time!
  numberOfWarnings: Int!
  result: [TaskResult!]
  startTime: Time!
  status: TaskStatus!
  warnings(after: String, limit: Int): JobLogMsgConnectionResult
}
```

### Fields

#### duration ● [`Duration`](https://developer.collibra.com/api/graphql/data-access/scalars/duration.md) scalar <a href="#duration" id="duration"></a>

The duration of this task (endTime-startTime).

#### endTime ● [`Time`](https://developer.collibra.com/api/graphql/data-access/scalars/time.md) scalar <a href="#end-time" id="end-time"></a>

The time when this task ended.

#### errors ● [`JobLogMsgConnectionResult`](https://developer.collibra.com/api/graphql/data-access/unions/job-log-msg-connection-result.md) union <a href="#errors" id="errors"></a>

The list of errors that occurred in this task.

**after ●** [**`String`**](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) **scalar**

#### events ● [`[TaskEvent!]!`](https://developer.collibra.com/api/graphql/data-access/object-types/task-event.md) non-null object <a href="#events" id="events"></a>

The status change events for this task.

#### jobId ● [`ID!`](https://developer.collibra.com/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#job-id" id="job-id"></a>

The ID of the job the task belongs to.

#### jobType ● [`String!`](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) non-null scalar <a href="#job-type" id="job-type"></a>

The type of the task

#### lastUpdate ● [`Time!`](https://developer.collibra.com/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#last-update" id="last-update"></a>

The time when this task was last updated.

#### numberOfWarnings ● [`Int!`](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) non-null scalar <a href="#number-of-warnings" id="number-of-warnings"></a>

The number of warnings that occurred in this task.

#### result ● [`[TaskResult!]`](https://developer.collibra.com/api/graphql/data-access/object-types/task-result.md) list object <a href="#result" id="result"></a>

The list of results from this task.

#### startTime ● [`Time!`](https://developer.collibra.com/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#start-time" id="start-time"></a>

The time when this task started.

#### status ● [`TaskStatus!`](https://developer.collibra.com/api/graphql/data-access/enumerations/task-status.md) non-null enum <a href="#status" id="status"></a>

The current status of the task.

#### warnings ● [`JobLogMsgConnectionResult`](https://developer.collibra.com/api/graphql/data-access/unions/job-log-msg-connection-result.md) union <a href="#warnings" id="warnings"></a>

The list of warnings that occurred in this task.

**after ●** [**`String`**](https://developer.collibra.com/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](https://developer.collibra.com/api/graphql/data-access/scalars/int.md) **scalar**

### Returned By

`addTaskEvent` mutation ● `jobTask` query

### Member Of

`DataSourceSyncInformation` object ● [`TaskEdge`](https://developer.collibra.com/api/graphql/data-access/object-types/task-edge.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/task.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
